#
# spec file for package mingw64-headers
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define __os_install_post /usr/lib/rpm/brp-compress %{nil}

Name:           mingw64-headers
Version:        20130216
Release:        0
Summary:        MinGW-W64 headers for win32 and win64
License:        SUSE-Public-Domain
Group:          Development/Libraries

Url:            http://www.mingw.org/

Source0:        mingw-w64-headers-%{version}.tar.bz2
Source1000:     %{name}-rpmlintrc

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildArch:      noarch
#!BuildIgnore: post-build-checks

BuildRequires:  mingw64-filesystem

%description
MinGW Win64 headers.


%prep
%setup -q -n mingw-w64-headers-%{version}

%build
%{_mingw64_configure} \
	--with-sdk=all \
	--enable-secure-api

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/%{_mingw64_target}
mkdir -p $RPM_BUILD_ROOT%{_mingw64_includedir}
ln -s $RPM_BUILD_ROOT%{_mingw64_includedir} \
$RPM_BUILD_ROOT%{_prefix}/%{_mingw64_target}/include

make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_prefix}/%{_mingw64_target}/include

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_prefix}/%{_mingw64_target}
%{_mingw64_sysroot}

%changelog
